Daemon Power

The NetBSD Packages Collection: x11/kde-runtime4

Brief description of the package:
Runtime requirements for the KDE integrated X11 desktop

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://www.kde.org/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "x11/kde-runtime4" directory. The current source version of the package is "kde-runtime4-15.12.0nb51". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for x11/kde-runtime4 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: oxygen-icons-[0-9]* extra-cmake-modules>=5.70.0 cwrappers>=20150314 gnupg2>=2.2.0 pinentry-[0-9]* libassuan>=2.4.2 libgpg-error>=0.6 libgpg-error>=1.17 libgpg-error>=1.10nb1 libgpg-error>=1.16 libksba>=0.9.7 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=1.2 libgcrypt>=1.6.0 libksba>=1.3.0nb1 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* lzo>=2.01 gmp>=5.0 gmp>=4.2.1 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.6 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.3nb1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 p11-kit>=0.23.15nb1 libunistring>=0.9.4 libusb1>=1.0.9 npth>=1.2 npth>=1.1 readline>=2.2 libgcrypt>=1.7 libgpg-error>=1.28 libassuan>=2.5.1 libksba>=1.3.4 gnutls>=3.6.13nb2 readline>=6.0 samba>=3.0.7<4.0 perl>=5.0 tdb>=1.2.10 python38>=3.8 libuuid>=2.18 python38>=3.8.0 libxslt-[0-9]* libxml2>=2.6.27 xmlcatmgr>=2.0beta1 libxml2>=2.6.2 libxml2>=2.9.10nb3 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 tdb>=1.0.6 popt>=1.7nb3 tdb>=1.0.6nb2 popt>=1.16nb1 qt4-libs>=4.4.0 glu>=3.4.2 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=9.0.0 libvdpau>=0.3 meson-[0-9]* ninja-build>=1.7 re2c>=0.11.3 py38-setuptools-[0-9]* py38-expat-[0-9]* python38>=3.8.6 x11-links>=1.32 osabi-NetBSD-9.0_STABLE xorgproto>=2016.1 libXdamage>=1.0.3 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 Xrandr>=0.99 libXrender>=0.9.2 Xrandr>=1.0.1 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.14 xcb-proto>=1.4 libxshmfence>=1.2 xorg-util-macros>=1.17 libdrm>=2.4.99 libdrm>=2.4.100 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=20.0.1nb1 glu>=6.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 fontconfig>=2.13.1nb1 Xft2>=2.1nb2 jpeg>=8nb1 png>=1.2.4 glu>=7.11.2 xcursor>=1.1.2nb1 Xft2>=2.1.7nb8 jpeg>=9 png>=1.6.0nb1 qt4-libs>=4.6.1nb2 qt4-tools>=4.4.0 libtool-base-[0-9]* qt4-libs>=4.8.7 qt4-libs>=4.8.7nb23 qt4-tools>=4.1.0 qt4-qdbus>=4.3.2 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 libxslt>=1.1.8 libxslt>=1.1.34nb4 libcanberra>=0.10 gtk2+>=2.4.0 py27-expat-[0-9]* shared-mime-info>=0.15 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.64.0nb1 atk>=1.30.0 glib2>=2.38.0 gobject-introspection>=0.6.14nb1 py38-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.62.0nb1 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.60 harfbuzz>=2.7.2 graphite2>=1.2 gtk-doc>=1.18 docbook-xml>=4.4nb1 docbook-xsl>=1.68.1 py38-anytree-[0-9]* py38-six>=1.9.0 py38-lxml-[0-9]* libxml2>=2.9.2 libxslt>=1.1.27 py38-pygments-[0-9]* pkgconf-[0-9]* itstool-[0-9]* py38-libxml2-[0-9]* libxml2>=2.9.10 py38-expat>=0 gnome-doc-utils>=0.8.0 py27-libxml2>=2.6.16 py27-libxslt>=1.1.12 py27-libxml2>=2.6.8 python27>=2.7 py27-libxml2>=2.6.27 libxslt>=1.1.34 python27>=2.7.1nb2 docbook-xml>=4.5 bash-[0-9]* libxml2>=2.6.12 gtk-doc>=1.32nb2 harfbuzz>=2.1.1 cairo>=1.12.10 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0nb2 glib2>=2.14.0 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb5 pango>=1.6.0 cairo>=1.6.0 atk>=2.33.3nb1 gdk-pixbuf2>=2.40.0nb1 pango>=1.44.7nb3 gobject-introspection>=0.9.3 gtk3+>=3.0.0 atk>=2.15.1 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 libcups>=1.1.19nb3 libpaper>=1.1.22 at-spi2-atk>=2.6.1 atk>=2.36.0 glib2>=2.32.0 at-spi2-core>=2.33.2 libXtst>=1.0.1 at-spi2-core>=2.3.2 dbus>=1.5 at-spi2-core>=2.35.1nb1 pango>=1.41 cairo>=1.14.0 libepoxy>=1.4 libepoxy>=1.2 hicolor-icon-theme>=0.4 desktop-file-utils>=0.8 libcups>=2.3.3nb5 at-spi2-atk>=2.34.1nb1 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 gobject-introspection>=1.39.0 libltdl>=2.4.2 gstreamer1>=1.0.0 check>=0.9.5 libvorbis>=1.0.1 libogg>=1.1 libogg>=1.1.2nb1 gtk2+>=2.24.32nb15 gtk3+>=3.24.22nb1 libltdl>=2.2.6 gstreamer1>=1.16.2nb1 libvorbis>=1.1.0nb1 qca2>=2.0.0 qt4-tools>=4.8.7nb6 kdepimlibs4>=4.0.0 boost-libs-1.73.* icu>=3.4 icu>=68.1 boost-jam-1.73.* qjson>=0.7.1 akonadi>=1.8.51 qt4-qdbus>=4.8.7nb5 automoc4>=0.9.87 boost-headers-1.73.* akonadi>=0.82.0 cyrus-sasl>=2.1.12 gpgme>=0.9.0 libical>=0.42 zonetab-[0-9]* kdelibs4>=4.0.0 docbook-xsl>=1.75 strigi>=0.5.11 cppunit>=1.10.2 libclucene>=2.3.3.4 libclucene>=2.2.0 fam>=2.6.10 cppunit>=1.10.2nb5 libclucene>=2.3.3.4nb17 fam>=2.7.0nb7 strigi>=0.6.2 grantlee>=0.3.0 libdbusmenu-qt>=0.8.2 jasper>=1.600.0 giflib>=5.2.1nb3 openexr>=1.6.1 ilmbase>=1.0.2nb1 ilmbase>=1.0.1 ilmbase>=2.5.1 attica>=0.1.2 phonon>=4.5.0 polkit-qt>=0.9.2 polkit>=0.103 mozjs78>=78.3.0 clang>=9.0.1 llvm-10.0.1{,nb*} llvm>=10.0.1 rust>=1.41.0 curl>=7.67.0 libidn2>=2.0.0 nghttp2>=1.0.0 nghttp2>=1.40.0nb4 curl>=7.12.3 curl>=7.70.0nb2 rust>=1.20.0 clang>=10.0.1nb2 polkit>=0.118nb1 aspell>=0.50.3 enchant>=1.1.3 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 libXScrnSaver>=1.1.2 libXpm>=3.5.4.2 strigi>=0.7.8nb38 grantlee>=0.5.1nb7 libdbusmenu-qt>=0.9.3.16.04.20160218nb4 jasper>=1.900.1nb7 giflib>=5.2.1nb4 openexr>=2.5.1 attica>=0.4.2nb7 phonon>=4.10.3nb4 polkit-qt>=0.112.0nb5 qca2>=2.2.1nb3 aspell>=0.60.6nb3 enchant>=1.6.0nb9 akonadi>=1.13.0nb34 cyrus-sasl>=2.1.26 gpgme>=1.8.0nb1 libical>=3.0.8nb3 kdelibs4>=4.14.38nb17 exiv2>=0.27 libwebp>=0.2.0 xine-lib>=1rc3c ffmpeg4>=4.0 libass>=0.9.12 fribidi>=0.19.0 enca>=1.9 libaom>=1.0.0nb1 nasm>=2.13 libaom>=1.0.0 libtheora>=1.0alpha3 lame>=3.93.1nb2 libopus>=1.1 speex>=1.2rc1 xvidcore>=1.0.0 x264-devel>=20111207 nasm>=2.13.0 x264-devel>=20180224 x265>=1.1 libvpx>=1.6.0 libbluray>=0.8.1 libass>=0.14.0nb5 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 libwebp>=0.6.0 libbluray>=1.2.1nb1 libXv>=1.0.1 flac>=1.1.0nb1 faad2>=2.6.1 libmad>=0.15.0b libmodplug>=0.7 mng>=1.0.0 lcms2>=2.2 libcdio>=0.93 libcddb>=0.9.4 libcddb>=0.9.5nb1 libdvdnav>=4.1.3 libdvdread>=4.1.3nb1 libdvdread>=6.1.1nb1 vcdimager>=2.0.1 libcdio>=0.72 ffmpeg4>=4.3.1nb1 flac>=1.1.3nb1 libmad>=0.15.1bnb1 libmodplug>=0.8.8.1 mng>=2.0.2 libdvdnav>=6.1.0nb1 vcdimager>=2.0.1nb2 openslp>=1.0.1 libkactivities4>=4.7.95 samba>=3.6.25nb26 libcanberra>=0.30nb4 kdepimlibs4>=4.14.10nb28 attica>=0.1.4 xine-lib>=1.2.10nb5 openslp>=1.2.1 libkactivities4>=4.13.3nb20 .

This package requires the following package(s) to run: oxygen-icons-[0-9]* gnupg2>=2.2.0 pinentry-[0-9]* libassuan>=2.4.2 libgpg-error>=0.6 libgpg-error>=1.17 libgpg-error>=1.10nb1 libgpg-error>=1.16 libksba>=0.9.7 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=1.2 libgcrypt>=1.6.0 libksba>=1.3.0nb1 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* lzo>=2.01 gmp>=5.0 gmp>=4.2.1 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.6 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.3nb1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 p11-kit>=0.23.15nb1 libunistring>=0.9.4 libusb1>=1.0.9 npth>=1.2 npth>=1.1 readline>=2.2 libgcrypt>=1.7 libgpg-error>=1.28 libassuan>=2.5.1 libksba>=1.3.4 gnutls>=3.6.13nb2 readline>=6.0 samba>=3.0.7<4.0 perl>=5.0 tdb>=1.2.10 python38>=3.8 libuuid>=2.18 python38>=3.8.0 tdb>=1.0.6 popt>=1.7nb3 tdb>=1.0.6nb2 popt>=1.16nb1 qt4-libs>=4.4.0 glu>=3.4.2 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=9.0.0 libvdpau>=0.3 libXdamage>=1.0.3 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 Xrandr>=0.99 libXrender>=0.9.2 Xrandr>=1.0.1 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 libxshmfence>=1.2 libdrm>=2.4.99 libdrm>=2.4.100 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=20.0.1nb1 glu>=6.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 fontconfig>=2.13.1nb1 Xft2>=2.1nb2 jpeg>=8nb1 png>=1.2.4 glu>=7.11.2 xcursor>=1.1.2nb1 Xft2>=2.1.7nb8 jpeg>=9 png>=1.6.0nb1 qt4-libs>=4.6.1nb2 qt4-tools>=4.4.0 libtool-base-[0-9]* qt4-libs>=4.8.7 qt4-libs>=4.8.7nb23 qt4-tools>=4.1.0 qt4-qdbus>=4.3.2 dbus>=0.91 libcanberra>=0.10 gtk2+>=2.4.0 py27-expat-[0-9]* python38>=3.8.6 shared-mime-info>=0.15 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 glib2>=2.64.0nb1 libxml2>=2.9.10nb3 atk>=1.30.0 glib2>=2.38.0 atk>=1.11.4 glib2>=2.28.0 gdk-pixbuf2>=2.22.0 glib2>=2.37.2 tiff>=3.6.1 jbigkit>=2.0 shared-mime-info>=1.0nb1 tiff>=4.0.3nb5 Xft2>=2.1.2nb2 libXi>=1.3.0 libXi>=1.0.0 libXcomposite>=0.3.1 pango>=1.20.0 Xft2>=2.1.7nb3 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.60 harfbuzz>=2.7.2 graphite2>=1.2 harfbuzz>=2.1.1 cairo>=1.12.10 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0nb2 glib2>=2.14.0 harfbuzz>=2.6.4nb2 cairo-gobject>=1.16.0nb5 pango>=1.6.0 cairo>=1.6.0 python27>=2.7 atk>=2.33.3nb1 gdk-pixbuf2>=2.40.0nb1 pango>=1.44.7nb3 python27>=2.7.1nb2 gtk3+>=3.0.0 atk>=2.15.1 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 libcups>=1.1.19nb3 libpaper>=1.1.22 at-spi2-atk>=2.6.1 atk>=2.36.0 glib2>=2.32.0 at-spi2-core>=2.33.2 gobject-introspection>=0.6.14nb1 py38-cElementTree-[0-9]* py38-expat-[0-9]* glib2>=2.58.0 libffi>=3.0.0 libXtst>=1.0.1 gobject-introspection>=1.62.0nb1 at-spi2-core>=2.3.2 dbus>=1.5 at-spi2-core>=2.35.1nb1 pango>=1.41 cairo>=1.14.0 libepoxy>=1.4 libepoxy>=1.2 hicolor-icon-theme>=0.4 desktop-file-utils>=0.8 libcups>=2.3.3nb5 at-spi2-atk>=2.34.1nb1 hicolor-icon-theme>=0.9nb1 desktop-file-utils>=0.10nb1 libltdl>=2.4.2 gstreamer1>=1.0.0 check>=0.9.5 libvorbis>=1.0.1 libogg>=1.1 libogg>=1.1.2nb1 gtk2+>=2.24.32nb15 gtk3+>=3.24.22nb1 libltdl>=2.2.6 gstreamer1>=1.16.2nb1 libvorbis>=1.1.0nb1 qca2>=2.0.0 kdepimlibs4>=4.0.0 boost-libs-1.73.* icu>=3.4 icu>=68.1 qjson>=0.7.1 akonadi>=1.8.51 qt4-qdbus>=4.8.7nb5 akonadi>=0.82.0 cyrus-sasl>=2.1.12 gpgme>=0.9.0 libical>=0.42 zonetab-[0-9]* kdelibs4>=4.0.0 docbook-xml>=4.2 docbook-xsl>=1.75 strigi>=0.5.11 cppunit>=1.10.2 libclucene>=2.3.3.4 libclucene>=2.2.0 fam>=2.6.10 cppunit>=1.10.2nb5 libclucene>=2.3.3.4nb17 fam>=2.7.0nb7 strigi>=0.6.2 grantlee>=0.3.0 libdbusmenu-qt>=0.8.2 jasper>=1.600.0 giflib>=5.2.1nb3 openexr>=1.6.1 ilmbase>=1.0.2nb1 ilmbase>=1.0.1 ilmbase>=2.5.1 attica>=0.1.2 phonon>=4.5.0 qt4-tools>=4.8.7nb6 polkit-qt>=0.9.2 polkit>=0.103 mozjs78>=78.3.0 polkit>=0.118nb1 aspell>=0.50.3 enchant>=1.1.3 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 libxslt>=1.1.8 libxml2>=2.6.27 libXScrnSaver>=1.1.2 libXpm>=3.5.4.2 strigi>=0.7.8nb38 grantlee>=0.5.1nb7 libdbusmenu-qt>=0.9.3.16.04.20160218nb4 jasper>=1.900.1nb7 giflib>=5.2.1nb4 openexr>=2.5.1 attica>=0.4.2nb7 phonon>=4.10.3nb4 polkit-qt>=0.112.0nb5 qca2>=2.2.1nb3 aspell>=0.60.6nb3 enchant>=1.6.0nb9 libxslt>=1.1.34nb4 akonadi>=1.13.0nb34 cyrus-sasl>=2.1.26 gpgme>=1.8.0nb1 libical>=3.0.8nb3 kdelibs4>=4.14.38nb17 exiv2>=0.27 libwebp>=0.2.0 xine-lib>=1rc3c ffmpeg4>=4.0 libass>=0.9.12 fribidi>=0.19.0 enca>=1.9 libaom>=1.0.0nb1 libaom>=1.0.0 libtheora>=1.0alpha3 lame>=3.93.1nb2 libopus>=1.1 speex>=1.2rc1 xvidcore>=1.0.0 x264-devel>=20111207 x264-devel>=20180224 x265>=1.1 libvpx>=1.6.0 libbluray>=0.8.1 libass>=0.14.0nb5 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 libwebp>=0.6.0 libbluray>=1.2.1nb1 libXv>=1.0.1 flac>=1.1.0nb1 faad2>=2.6.1 libmad>=0.15.0b libmodplug>=0.7 mng>=1.0.0 lcms2>=2.2 libcdio>=0.93 libcddb>=0.9.4 libcddb>=0.9.5nb1 libdvdnav>=4.1.3 libdvdread>=4.1.3nb1 libdvdread>=6.1.1nb1 vcdimager>=2.0.1 libcdio>=0.72 ffmpeg4>=4.3.1nb1 flac>=1.1.3nb1 libmad>=0.15.1bnb1 libmodplug>=0.8.8.1 mng>=2.0.2 libdvdnav>=6.1.0nb1 vcdimager>=2.0.1nb2 openslp>=1.0.1 libkactivities4>=4.7.95 samba>=3.6.25nb26 libcanberra>=0.30nb4 kdepimlibs4>=4.14.10nb28 attica>=0.1.4 xine-lib>=1.2.10nb5 openslp>=1.2.1 libkactivities4>=4.13.3nb20 .

This package supports the following build-time options:

alsa
Enable ALSA support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:kde-runtime4-15.12.0nb48.tgz(NetBSD 9.0)
aarch64:kde-runtime4-15.12.0nb46.tgz(NetBSD 9.0)
earmv7hf:kde-runtime4-15.12.0nb46.tgz(NetBSD 9.0)
earmv7hf:kde-runtime4-15.12.0nb42.tgz(NetBSD 9.0)
earmv7hf:kde-runtime4-15.12.0nb48.tgz(NetBSD 9.0)
powerpc:kde-runtime4-15.12.0nb48.tgz(NetBSD 8.0)
sparc64:kde-runtime4-15.12.0nb48.tgz(NetBSD 9.0)
sparc64:kde-runtime4-15.12.0nb46.tgz(NetBSD 9.0)
x86_64:kde-runtime4-15.12.0nb49.tgz(NetBSD 9.0)
x86_64:kde-runtime4-15.12.0nb46.tgz(NetBSD 9.0)
x86_64:kde-runtime4-15.12.0nb48.tgz(NetBSD 9.0)
x86_64:kde-runtime4-15.12.0nb46.tgz(NetBSD 8.0)
x86_64:kde-runtime4-15.12.0nb48.tgz(NetBSD 9.0)
x86_64:kde-runtime4-15.12.0nb46.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]